tcprobe(1)

NAME
tcprobe - probe multimedia streams from medium and print information on the standard output

SYNOPSIS

tcprobe
    -i name [ -B ] [ -T title ] [ -b bitrate ] [ -H n ] [ -f seekfile ] [ -d verbosity ] [ -v ]

COPYRIGHT
tcprobe is Copyright (C) by Thomas Östreich.

DESCRIPTION
tcprobe is part of and usually called by transcode.
However, it can also be used independently.
tcprobe reads source (from stdin if not explicitely defined) and prints on the standard output.

OPTIONS

-i name
    Specify input source. If ommited, stdin is assumed.
    You can specify a file, directory, device, mountpoint or host address as input source. tcprobe usually handles the different types correctly.

-B  Binary output to stdout for use in transcode.

-T title
    Probe for DVD title

-H n
    This option tells tcprobe to scan n MB of input data. Default is to scan 1 MB. To detect all subtitles and audio tracks (if available) it is highly recommended that this n should be at least increased to 10 or even higher. Very often only some audio tracks start during the first MB of a VOB or DVD file so transcode cannot detect them if not called with a higher value. Please note that transcode(1) has a similar -H option as well which has the same meaning.

-s n
    Skip the first n bytes of the input stream. Default is to skip no bytes.

-b bitrate
    Set audio encoder bitrate to bitrate

-f seekfile
    Read index/seek information from seekfile. This is especially useful for AVI files when it takes a long time to probe when there is no index in the AVI available. Also see aviindex(1).

-d level
    With this option you can specify a bitmask to enable different levels of verbosity (if supported). You can combine several levels by adding the corresponding values: QUIET 0 INFO 1 DEBUG 2 STATS 4 WATCH 8 FLIST 16 VIDCORE 32 SYNC 64 COUNTER 128 PRIVATE 256

-v  Print version information and exit.

NOTES
tcprobe is a front end for probing various source types and is used in transcode´s import modules.

EXAMPLES
The command tcprobe -i foo.avi will print interesting information about the AVI file itself and its video and audio content.

AUTHORS
tcprobe was written by Thomas Östreich
<ostreich@theorie.physik.uni-goettingen.de> with contributions from many others. See AUTHORS for details.

SEE ALSO
aviindex(1), avifix(1), avisync(1), avimerge(1), avisplit(1), tcprobe(1), tcscan(1), tccat(1), tcdemux(1), tcextract(1), tcdecode(1), transcode(1)